<p-blockUI [blocked]="blockedPanel"><p-progressSpinner></p-progressSpinner></p-blockUI>
<div class="w-auto h-auto">
    <p-card>
        <div class="grid">

            <div class="col-8 md:col-12 lg:col-8">
                <div class="flex flex-row flex-wrap">
                    <div class="flex align-items-center justify-content-center m-2 mt-0">
                            <p-tag styleclass="p-mr-2" severity=""><i class="pi pi-cog align-items-center" style="font-size:2rem"></i>
                                <p class="text-lg align-items-center m-2 font-bold"> Appoint Slots Config                                </p>
                            </p-tag>
                    </div>
                </div>
                <div class="formgrid grid p-1">
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label for="clinic_code">Clinic Code</label>
                        <input pInputText [(ngModel)]="clinic_code" class="inputfield w-full" *ngIf="is_selected" [disabled]="true">
                        <input pInputText [(ngModel)]="clinic_code" class="inputfield w-full" *ngIf="!is_selected">
                    </div>
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label for="clinic_name">Clinic Name</label>
                        <input pInputText [(ngModel)]="clinic_name" class="inputfield w-full">
                    </div>
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label for="clinic_contact">Clinic Contact</label>
                        <input pInputText [(ngModel)]="clinic_contact" class="inputfield w-full">
                    </div>
                    <div class="field col-12 md:col-3 mt-5">
                        <button pButton pRipple type="button" label="บันทึก" (click)="onChangeSave()" class="p-button-raised"></button>
                        <button pButton pRipple type="button" label="ล้างข้อมูล" (click)="onChangeClear()" class="p-button-text"></button>
                    </div>
                </div>
                <div class="formgrid grid p-1">
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label for="max_patient">จำนวนที่เปิดรับนัด</label>
                        <input pInputText [(ngModel)]="max_patient" class="inputfield w-full">
                    </div>
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label for="selectedDayOfweek">วันที่เปิดคลินิก</label>
                        <p-multiSelect [style]="{ width: '100%', overflow: 'visible' }"
                            [options]="dayofweek" 
                            [(ngModel)]="selectedDayOfweek" 
                            optionLabel="name" 
                            optionValue="code"
                            placeholder="วันเปิดรับบริการ">
                        </p-multiSelect>
                    </div>
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label for="time_open">ช่วงเวลาที่เปิดคลินิก</label>
                        <input pInputText [(ngModel)]="time_open" class="inputfield w-full">
                    </div>
                </div>
                <div class="formgrid grid p-1">
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label for="doctor_name">แพทย์ผู้ตรวจ</label>
                        <input pInputText [(ngModel)]="doctor_name" class="inputfield w-full">
                    </div>
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label for="status_id">สถานะ</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="กรุณาเลือก" 
                        [options]="itemeStatus" 
                        [(ngModel)]="status_id" 
                        optionLabel="status_name" 
                        optionValue="status_id" >
                    </p-dropdown>
                    </div>
                </div>
                <div class="formgrid grid p-1">
                    <div class="field col-12 md:col-6">
                        <label for="description">รายละเอียด</label>
                        <textarea id="equipwithpatient"  [(ngModel)]="description" type="text" rows="5" class="inputfield w-full"></textarea>
                    </div>
                    <div class="field col-12 md:col-6">
                        <label for="remark">หมายเหตุ</label>
                        <textarea id="equipwithpatient"  [(ngModel)]="remark" type="text" rows="5" class="inputfield w-full"></textarea>
                    </div>
                </div>

            </div>

        </div>

        <p-table #dt [value]="rowsDataCreate"  [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
        [rowHover]="true" [rows]="10" [showCurrentPageReport]="true" [rowsPerPageOptions]="[10,25,50,100]" [loading]="loadingCreate"
        [paginator]="true" currentPageReportTemplate="แสดง {first} จาก {last} ทั้งหมด {totalRecords} รายการ"
        [filterDelay]="0" [globalFilterFields]="['clinic_code','clinic_name']" responsiveLayout="scroll"
        paginatorPosition="bottom"  [scrollable]="true" scrollHeight="{{scrollHeight}}"
        [virtualRowHeight]="6" [autoLayout]="true" [resizableColumns]="true" [style]="ptableStyle"
        frozenColumns="10" selectionMode="" dblClickSelect="true">
            <ng-template pTemplate="caption">
                <div class="table-header">
                    <div class="grid">
                        <div class="col">
                            <div class="flex justify-content-start">
                                <span class="text-center justify-content-center pt-2 font-bold">Clinic List</span>
                            </div>
                        </div>
                        <div class="col">
                            <div class="flex justify-content-end">
                                <span class="p-input-icon-right">
                                    <i class="pi pi-search"></i>
                                    <input pInputText class="p-inputtext-sm" type="text" (input)="dt.filterGlobal($event.target.value, 'contains')" placeholder="ค้นหา คลิกนิก" />
                                </span>
                            </div>
                        </div>                               
                    </div>                            
                </div>
            </ng-template>
            <ng-template pTemplate="header">
                <tr>
                    <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="clinic_code" style='flex: 0 0 100px;'>Clinic Code</th>
                    <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="clinic_name" style='flex: 0 0 150px;'>Clinic Name</th>
                    <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="clinic_contact" >Clinic Contact</th>
                    <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="max_patient">จำนวนที่เปิดรับนัด</th>
                    <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="day_open" style='flex: 0 0 330px;'>วันที่เปิดคลินิก</th>
                    <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="time_open">ช่วงเวลาที่เปิดคลินิก</th>
                    <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="doctor_name">แพทย์ผู้ตรวจ</th>
                    <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="description">รายละเอียด</th>
                    <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="remark">หมายเหตุ</th>
                    <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="remark">สถานะ</th>
                </tr>
            </ng-template>
            <ng-template pTemplate="body" let-rowsData>
                <tr class="p-selectable-row" [pSelectableRow]="rowsData" (click)="onSelect(rowsData)">
                    <td  class="pt-2 pb-2" style='flex: 0 0 100px;'>
                        <span class="p-column-title">Clinic Code</span>
                        {{rowsData.clinic_code}}
                    </td>
                    <td  class="pt-2 pb-2" style='flex: 0 0 150px;'>
                        <span class="p-column-title">Clinic Name</span>
                        {{rowsData.clinic_name}}
                    </td>
                    <td  class="pt-2 pb-2">
                        <span class="p-column-title">Clinic Contact</span>
                        {{rowsData.clinic_contact}}
                    </td>
                    <td  class="justify-content-center pt-2 pb-2">
                        <span class="text-center p-column-title">จำนวนที่เปิดรับนัด</span>
                        {{rowsData.max_patient}}
                    </td>
                    <td  class="pt-2 pb-2" style='flex: 0 0 330px;'>
                        <span class="p-column-title">วันที่เปิดคลินิก</span>
                        {{rowsData.day_open_name}}
                    </td>
                    <td  class="pt-2 pb-2">
                        <span class="p-column-title">ช่วงเวลาที่เปิดคลินิก</span>
                        {{rowsData.time_open}}
                    </td>
                    <td  class="pt-2 pb-2">
                        <span class="p-column-title">แพทย์ผู้ตรวจ</span>
                        {{rowsData.doctor_name}}
                    </td>
                    <td  class="pt-2 pb-2">
                        <span class="p-column-title">รายละเอียด</span>
                        {{rowsData.description}}
                    </td>
                    <td  class="pt-2 pb-2">
                        <span class="p-column-title">หมายเหตุ</span>
                        {{rowsData.remark}}
                    </td>
                    <td  class="pt-2 pb-2 ">
                        <span class="text-center p-column-title ">สถานะ</span>
                        <p *ngIf="rowsData.is_active=='0'" class="text-orange-700" >{{rowsData.is_active_name}}</p>
                        <p *ngIf="rowsData.is_active=='1'" class="" >{{rowsData.is_active_name}}</p>
                    </td>
                </tr>
            </ng-template>
            <ng-template pTemplate="emptymessage">
                <tr>
                    <td colspan="8">ไม่มีรายการที่จะแสดง.</td>
                </tr>
            </ng-template>
        </p-table>

    </p-card>
</div>
